%global npm_name cliui

Summary:       easily create complex multi-column command-line-interfaces
Name:          nodejs-%{npm_name}
Version:       2.1.0
Release:       2%{?dist}
License:       ISC
URL:           https://github.com/bcoe/cliui
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
easily create complex multi-column command-line-interfaces

%prep
%setup -q -n package

%nodejs_fixdep wordwrap '>=0.0.2'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE.txt README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 2.1.0-2
- Fixup dependencies

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 2.1.0-1
- Initial package
